Page 1 of 10 123 ... LastLast
Results 1 to 10 of 100

Thread: Update error

  1. #1
    Join Date
    Sep 2008
    Location
    Poland
    Beans
    134
    Distro
    Kubuntu 10.04 Lucid Lynx

    Update error

    Today I was notified by ubuntu that there are new updates but when I try to install them an error occured:

    Code:
    W: GPG error: http://ppa.launchpad.net intrepid Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 4874D3686E80C6B7
    W wasn't changing anything since my last update...

  2. #2
    Join Date
    Feb 2005
    Location
    Melbourne, Australia
    Beans
    13,505
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Update error

    Quote Originally Posted by rozbarwinek View Post
    Today I was notified by ubuntu that there are new updates but when I try to install them an error occured:

    Code:
    W: GPG error: http://ppa.launchpad.net intrepid Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 4874D3686E80C6B7
    W wasn't changing anything since my last update...
    It means that there is a network problem somewhere, give it a few hours and try again.
    Regards, David.
    Please use the Forum search and Wiki search for immediate help
    Please mark your thread as Solved when appropriate
    New to technical forums?: How To Ask Questions The Smart Way

  3. #3
    Join Date
    Apr 2005
    Location
    EU - UK
    Beans
    3,345
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Update error

    I think the PPAs have now started offering signed packages, so you have to go to this PPA's page on Launchpad to download its key and then add it in your Software Sources (i.e. System → Administration → Software Sources).

  4. #4
    Join Date
    Sep 2008
    Location
    Poland
    Beans
    134
    Distro
    Kubuntu 10.04 Lucid Lynx

    Re: Update error

    Quote Originally Posted by kostkon View Post
    I think the PPAs have now started offering signed packages, so you have to go to this PPA's page on Launchpad to download its key and then add it in your Software Sources (i.e. System → Administration → Software Sources).
    That's right
    So I have only Banshee PPA repository and I found that the pgp key is here --> http://keyserver.ubuntu.com:11371/pk...74D3686E80C6B7
    Is there a way that I can add it by terminal like for example VirtualBox key:

    Code:
    wget -q http://download.virtualbox.org/virtualbox/debian/sun_vbox.asc -O- | sudo apt-key add -
    or I have to download that file and add it manually?

  5. #5
    Join Date
    Dec 2008
    Location
    Greece
    Beans
    105
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Re: Update error

    I made this small bash script. it will check you intrepid system for all launchpad sources and will download and install the keys for you!

    Who ever wants this for Hardy. Just edit the script and change intrepid to hardy

    edit:
    You have to run this with sudo
    Attached Files Attached Files
    Last edited by blackgr; January 23rd, 2009 at 10:45 PM.

  6. #6
    Join Date
    Jul 2006
    Beans
    Hidden!

    Re: Update error

    Great job, thanks!

  7. #7
    Join Date
    Oct 2008
    Beans
    34

    Re: Update error

    yeah.. really nice.. thanks..

  8. #8
    Join Date
    Dec 2008
    Location
    Greece
    Beans
    105
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Re: Update error

    im glad you liked it ! After the update you can remove curl.

    Code:
    sudo apt-get remove curl

  9. #9
    Join Date
    Jan 2009
    Beans
    1

    Talking Re: Update error

    NICE! Thank you so much!

  10. #10
    Join Date
    Jul 2007
    Location
    Rousse, Bulgaria
    Beans
    63
    Distro
    Xubuntu 13.04 Raring Ringtail

    Re: Update error

    Sorry for my stupid question, but what to do with this script?
    OK, I've found it- run in terminal.
    Last edited by befana; January 25th, 2009 at 09:20 AM.

Page 1 of 10 123 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •